List Residual Merchant Summaries
curl --request GET \
--url https://api.example.com/v1/crm/residuals/{residualId}/merchant-summaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/crm/residuals/{residualId}/merchant-summaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/crm/residuals/{residualId}/merchant-summaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"totalCount": 123,
"totalPages": 123,
"page": 123,
"perPage": 123
},
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "<string>",
"transactions": 0,
"volume": 123,
"income": 123,
"gross": 123,
"payout": 123,
"net": 123,
"expense": 123,
"profitLoss": 123,
"isoResidualId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "<string>",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantMid": "<string>",
"agentName": "<string>",
"partnerName": "<string>"
}
]
}{
"status": 123,
"code": "<string>",
"detail": "<string>"
}Residuals
List residual merchant summaries
Retrieve merchant-level summaries for a specific residual
GET
/
v1
/
crm
/
residuals
/
{residualId}
/
merchant-summaries
List Residual Merchant Summaries
Authorizations
bearerAuthapiKey
Enter token in following format: Bearer
Path Parameters
Query Parameters
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I
